local util = require("util")

return function()
	for _, surface in pairs(game.surfaces) do
		for _, entity in pairs(surface.find_entities_filtered{name="crash-site-generator"}) do
			entity.power_production = util.parse_energy(settings.startup["csgt-magic-gen"].value)
			entity.power_usage = util.parse_energy(settings.startup["csgt-magic-use"].value)

			entity.electric_buffer_size = util.parse_energy(settings.startup["csgt-buffer-capacity"].value)
			--entity.electric_input_flow_limit = util.parse_energy(settings.startup["csgt-buffer-in"].value)
			--entity.electric_output_flow_limit = util.parse_energy(settings.startup["csgt-buffer-out"].value)
		end
	end
end
