data:extend({
	{
		type = "string-setting",
		name = "csgt-buffer-in",
		setting_type = "startup",
		localised_name = {"", "Buffer Intake Rate"},
		localised_description = {"", "The rate at which the buffer can take IN electricity. Must be specified in either kW, MW or GW."},
		default_value = "500GW"
	},
	{
		type = "string-setting",
		name = "csgt-buffer-out",
		setting_type = "startup",
		localised_name = {"", "Buffer Outlet Rate"},
		localised_description = {"", "The rate at which the buffer can release OUT electricity. Must be specified in either kW, MW or GW."},
		default_value = "500GW"
	},
	{
		type = "string-setting",
		name = "csgt-buffer-capacity",
		setting_type = "startup",
		localised_name = {"", "Buffer Capacity"},
		localised_description = {"", "The capacity of the buffer. Must be specified in either kJ, MJ or GJ."},
		default_value = "10GJ"
	},
	{
		type = "string-setting",
		name = "csgt-magic-gen",
		setting_type = "startup",
		localised_name = {"", "Magic Electricity Generation Rate"},
		localised_description = {"", "The amount of electricity that gets magically generated into the buffer. Originally 500GW. Must be specified in either kW, MW or GW."},
		default_value = "0kW"
	},
	{
		type = "string-setting",
		name = "csgt-magic-use",
		setting_type = "startup",
		localised_name = {"", "Magic Electricity Usage Rate"},
		localised_description = {"", "The amount of electricity that gets magically taken out of the buffer. Originally 0kW. Must be specified in either kW, MW or GW."},
		default_value = "0kW"
	}
})
